Package org.opengis.cite.ogcapifeatures10.conformance.core.apidefinition

# Class ApiDefinition

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.core.apidefinition.ApiDefinition

public class ApiDefinition extends CommonFixture
A.2.3. API Definition Path {root}/api (link)

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApiDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apiDefinitionValidation(org.testng.ITestContext testContext)`
  Abstract Test 6: /ats/core/api-definition-success Test Purpose: Validate that the API Definition complies with the required structure and contents.
  `void`
  `openapiDocumentRetrieval()`
  Abstract Test 5: /ats/core/api-definition-op Test Purpose: Validate that the API Definition document can be retrieved from the expected location.
  `void`
  `retrieveApiUrl()`
  retrieveApiUrl.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApiDefinition

    public ApiDefinition()

- ## Method Details

  - ### retrieveApiUrl

    @BeforeClass(dependsOnMethods="initCommonFixture") public void retrieveApiUrl()

    retrieveApiUrl.

  - ### openapiDocumentRetrieval

    public void openapiDocumentRetrieval()

         Abstract Test 5: /ats/core/api-definition-op
         Test Purpose: Validate that the API Definition document can be retrieved from the expected location.
         Requirement: /req/core/api-definition-op

         Test Method

          1. Construct a path for each API Definition link on the landing page
          2. Issue a HTTP GET request on each path
          3. Validate that a document was returned with a status code 200
          4. Validate the contents of the returned document using test /ats/core/api-definition-success.

  - ### apiDefinitionValidation

    public void apiDefinitionValidation(org.testng.ITestContext testContext) throws MalformedURLException

         Abstract Test 6: /ats/core/api-definition-success
         Test Purpose: Validate that the API Definition complies with the required structure and contents.
         Requirement: /req/core/api-definition-success

         Test Method: Validate the API Definition document against an appropriate schema document.

    Parameters:
      `testContext` - never `null`
    Throws:
      `MalformedURLException` - if the apiUrl is malformed